tspan = [0, 3]     ;              % time interval
x0 = [0, 0];                      % initial conditions
[t,x] = ode23('mechsys', tspan, x0);
subplot(2,1,1),plot(t,x)
title('Time response of mechanical translational system')
xlabel('Time - sec.')
text(2,1.2,'displacement')
text(2,.2,'velocity')

d= x(:,1);   v = x(:,2);
subplot(2,1,2), plot(d, v)
title('velocity versus displacement ')
xlabel('displacement')
ylabel('velocity')
subplot(111)
